* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

*:required {
    background-color: #f7f8e0;
}

*:placeholder {
    color: #cfcfcf;
}

:root {
    --size-td: 1.6rem;
    --size-th: 1.75rem;
    --size-caption: 2rem;
    --size-input: 1.4rem;
    --size-footer: 2rem;
    --size-h3: 2rem;
    --size-h4: 1.75rem;
    --size-a: 2rem;
    --size-btn: 1.5rem;
    --size-btn-w: 1.2rem;
    --size-title: 2rem;
    --size-msg: 1.2rem;
}

html {
    font-size: 62.5%;
}

body {
    font-family: "Segoe UI", Verdana, Tahoma, sans-serif;
    background-image: linear-gradient(to right, #3A5FCD, #009ACD);
}

nav {
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

fieldset {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(10, auto); 
    justify-content: center;
    align-items: center;
    padding: 5px 10px;
    margin-bottom: 10px;
    border: 3px solid yellow;
    border-radius: 10px;
}

fieldset legend {
    color: yellow;
}

input, select {
    max-width: 200px;
    width: 100%;
    font-size: var(--size-input);
    margin-top: 5px;
    border-radius: 10px;
    border: 1px solid #c0c0c0;
    outline: 0 !important;
    box-sizing: border-box;
    padding: 8px 15px;
}

button {
    width: 80%;
}

footer {
    position: fixed;
    display: block;
    width: 100%;
    max-height: 40px;
    bottom: 5px !important;
    justify-content: center;
    text-align: center;
}

footer a {
    font-size: var(--size-footer);
    color: white;
    text-decoration: none;
    margin-top: 40px;
}

footer a:hover {
    color: yellow;
}

.logo {
    display: flex;
    align-items: center;
}

.logo img {
    width: 60px;
    border-radius: 50%;
    margin: 10px;
}

.logo h3 {
    color: yellow;
    text-decoration: none;
    font-size: var(--size-h3);
}

.nav-links {
    display: flex;
    align-items: center;
    list-style: none;
}

.nav-links a {
    display: block;
    padding: 30px 16px;
    color: yellow;
    text-decoration: none;
    font-size: var(--size-a);
    transform: translateY(-.5rem);
    filter: drop-shadow(.3em .3em .3em #0f0f0f);
    transition: all .4s;
}

.nav-links a.active {
    color: blue;    
}

.nav-links a:hover {
    font-weight: bold;
}

.hamburger {
    display: none;
    cursor: pointer;
    width: 34px;
}

.hamburger .bar {
    flex-basis: 100%;
    height: 4px;
    background-color: white;
    margin: 3px;
}

.title {
    color: #fff;
    text-align: center;
    margin: 10px 0 30px 0;
    padding: 3px;
    font-size: var(--size-title);
    font-weight: 700;
    letter-spacing: 2px;
}

.container-table {
    background: transparent;
    justify-content: center;
    align-items: center;
}

table {
    border-collapse: collapse;
}

caption {
    padding-bottom: 20px;
    color: #fff;
    font-size: var(--size-caption);
    letter-spacing: 2px;
}

tr {
    max-height: 2rem;
    height: 100%;
}

th {
    padding: 10px 5px;
    color: yellow;
    font-size: var(--size-th);
}

td {
    padding: 10px 5px;
    color: white;
    font-size: var(--size-td);
}

.td-top {
    vertical-align: top;
}

table tbody tr:nth-child(2n) {
    background-image: linear-gradient(to right, #108acd, #2179cd);
    color: #000;
}

table tbody tr:nth-child(2n+1) {
    background-image: linear-gradient(to right, #2179cd, #108acd);
    color: #000;
}

table.real-table tbody tr:hover {
     transform: translateY(-.5rem);
     filter: drop-shadow(.3em .3em .3em #0f0f0f);
     transition: all .4s;
}

.container {
    display: flex;
    background: transparent;
    justify-content: center;
    align-items: center;
}

.form-container {
    width: fit-content;
    height: fit-content;
    margin: auto;
}

.form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 18px;
    margin-bottom: 15px;
}

.form-btn {
    width: 100%;
    padding: 5px 15px;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 1px solid white;
    outline: 0 !important;
    background: #ffa500;
    font-size: var(--size-btn);
    letter-spacing: 2px;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 3px 8px;
}

.form-btn:hover {
     transform: translateY(-.5rem);
     filter: drop-shadow(.3em .3em .3em #0f0f0f);
     transition: all .4s;
}

.form-btn-w {
    width: 14rem;
    padding: 5px;
    margin: 10px 5px;
    border-radius: 10px;
    border: 1px solid white;
    outline: 0 !important;
    background: #ffa500;
    font-size: var(--size-btn-w);
    letter-spacing: 2px;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 3px 8px;
}

.form-btn-w.active {
    color: blue;
    font-weight: bold;
}

.form-btn-w:not(.active):hover {
     transform: translateY(-.5rem);
     filter: drop-shadow(.3em .3em .3em #0f0f0f);
     transition: all .4s;
}

.msg-text {
    font-size: var(--size-msg);
    text-decoration: none;
    margin-top: 0;
}

@media (max-width: 768px) {
    :root {
        --size-td: 0.8rem;
        --size-th: 0.9rem;
        --size-caption: 1rem;
        --size-input: 0.7rem;
        --size-footer: 1rem;
        --size-h3: 1rem;
        --size-h4: 0.9rem;
        --size-a: 1rem;
        --size-btn: 0.75rem;
        --size-btn-w: 0.6rem;
        --size-title: 1rem;
        --size-msg: 0.6rem;
    }

   nav {
        flex-wrap: wrap;
    }
    
    .hamburger {
        display: flex;
        flex-wrap: wrap;
    }
    
    .logo {
        height: 60px;
    }
    
    .nav-links {
        display: none;
        flex-basis: 100%;
        flex-wrap: wrap;
    }
    
    .nav-links li {
        flex-basis: 100%;
    }
    
    .nav-links a {
        text-align: center;
        font-size: var(--size-a);
    }
}
